Bug 8927 - cyrus-sasl2 падает при использовании pam
: cyrus-sasl2 падает при использовании pam
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/cyrus-sasl2)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-25 11:33 by
Modified: 2008-01-28 08:46 (History)


Attachments
Трейс падаения (6.98 KB, application/octet-stream)
2006-01-25 11:36, stalker
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-25 11:33:09
При использовании в качестве механизма аутентифиации pam cyrus-sasl2 падает.
Появляется 100%

[stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p pass
0: OK "Success."
[stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p pass
0: OK "Success."
[stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p errpass
0: NO "authentication failed"
[stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p errpass
0: NO "authentication failed"
[stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p errpass
0: NO "authentication failed"
[stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p pass
0: OK "Success."
[stalker@chaos_lnx stalker]$ 
[stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p pass
0: OK "Success."
[stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p pass
size read failed
0: [stalker@chaos_lnx stalker]$ testsaslauthd -u stalker -p pass
connect() : No such file or directory
0: [stalker@chaos_lnx stalker]$
Steps to Reproduce:
1. запустить  saslauthd -a pam
2. поигратся с testsaslauthd (ввести несколько раз правильный пароль затем
нерпвильный несколько раз и опять правильный несколько раз)
3.
Actual Results:  
падает!

Expected Results:  
Не должн он падать.
------- Comment #1 From 2006-01-25 11:36:53 -------
Created an attachment (id=1352) [details]
Трейс падаения

так же	замечено -что если запустить под дебагом -то не падает. В аттаче стрейс
падения. Корку поймать не удалось.
------- Comment #2 From 2006-01-25 12:02:40 -------
Если к опциям запуска saslauthd добавить -n 0, то он работает стабильно и не
падает. Если одновременно с -n 0 добавить и -d, валится при первой же попытке
проверить пароль:

vvk@vvk ~ $ testsaslauthd -u vvk -p wrongpass
size read failed
0:                                                                             
                                vvk@vvk ~ $ testsaslauthd -u vvk -p wrongpass
connect() : No such file or directory
0:
------- Comment #3 From 2006-01-29 15:43:33 -------
без -n 0 он переодически на любом бекенде, кроме sasldb... А на pam, так вообще
работать не получается... :(
------- Comment #4 From 2006-01-30 10:43:47 -------
(In reply to comment #3)
> без -n 0 он переодически на любом бекенде, кроме sasldb... А на pam, так вообще
> работать не получается... :(
Хм.. на shadow не падает (полёт уже с неделю).
------- Comment #5 From 2006-01-30 11:08:15 -------
Угу... Бывает месяцами не падает, а потом десяток падений за полчаса... Потом
опять работает... Там где-то рейс в обработке тредов... При -n 0 падений не
замечено :)
------- Comment #6 From 2006-01-30 11:34:28 -------
(In reply to comment #5)
> Угу... Бывает месяцами не падает, а потом десяток падений за полчаса... Потом
> опять работает... Там где-то рейс в обработке тредов... При -n 0 падений не
> замечено :)

Вчера потестил под другими линухами..падений не замечается.
Сейчас попробую локлаьно собрать более свежуб версию и посомтреть как она себя
поведёт. 
так же ест ьсмутные догадки..что эти падения связаны с
Patch0: %name-2.1.19-alt-ssl.patch
Patch1: %name-2.1.19-checkpw.c.patch
------- Comment #7 From 2006-01-30 12:04:50 -------
Свежая версия падает с такими же симптомами.
------- Comment #8 From 2006-02-07 14:25:31 -------
Могу только порекомендовать добавить в /etc/sysconfig/saslauthd в опциях еще и
-n 0
------- Comment #9 From 2006-11-17 22:44:57 -------
До сих пор падает. Я конечно поставил его на monit и не волнуюсь, но всё 
равно.
Надо бы отловить...
------- Comment #10 From 2007-08-08 10:09:40 -------
Может таки сделать в дефолтном конфиге "-n 0"? А то народ в рассылках постоянно
наступает.
------- Comment #11 From 2007-10-17 13:20:43 -------
Сделал -n 0 в 2.1.22-alt2
------- Comment #12 From 2008-01-25 18:45:08 -------
Спасибо!
------- Comment #13 From 2008-01-25 18:46:37 -------
fixed indeed